Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

t

scala.tools.nsc.typechecker

# ContextErrors 

###

#### trait ContextErrors extends AnyRef

Self Type
  Analyzer
Source
  ContextErrors.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
erasure, treeChecker, ScaladocAnalyzer, InteractiveAnalyzer, Erasure, Duplicator, SpecializationDuplicator, Analyzer, Duplicators, TreeCheckers
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ContextErrors
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  abstract class AbsAmbiguousTypeError extends Analyzer.AbsTypeError
2.  sealed abstract class AbsTypeError extends Throwable
3.  case class AccessTypeError (underlyingTree: Global.Tree, errMsg: String) extends Analyzer.TreeTypeError with Product with Serializable
4.  case class AmbiguousImplicitTypeError (underlyingTree: Global.Tree, errMsg: String) extends Analyzer.AbsAmbiguousTypeError with Product with Serializable
5.  case class AmbiguousTypeError (errPos: Global.Position, errMsg: String) extends Analyzer.AbsAmbiguousTypeError with Product with Serializable
6.  case class DivergentImplicitTypeError (underlyingTree: Global.Tree, pt0: Global.Type, sym: Global.Symbol) extends Analyzer.TreeTypeError with Product with Serializable
7.  trait ImplicitsContextErrors extends AnyRef
8.  trait InferencerContextErrors extends AnyRef
9.  trait NamerContextErrors extends AnyRef
10.  case class NormalTypeError (underlyingTree: Global.Tree, errMsg: String) extends Analyzer.TreeTypeError with Product with Serializable
11.  class NormalTypeErrorFromCyclicReference extends Analyzer.NormalTypeError

    Marks a TypeError that was constructed from a CyclicReference (under silent).

    Marks a TypeError that was constructed from a CyclicReference (under silent). This is used for named arguments, where we need to know if an assignment expression failed with a cyclic reference or some other type error.

12.  case class PosAndMsgTypeError (errPos: Global.Position, errMsg: String) extends Analyzer.AbsTypeError with Product with Serializable
13.  case class SymbolTypeError (underlyingSym: Global.Symbol, errMsg: String) extends Analyzer.AbsTypeError with Product with Serializable
14.  sealed abstract class TreeTypeError extends Analyzer.AbsTypeError
15.  case class TypeErrorWithUnderlyingTree (tree: Global.Tree, ex: Global.TypeError) extends Analyzer.AbsTypeError with Product with Serializable
16.  case class TypeErrorWrapper (ex: Global.TypeError) extends Analyzer.AbsTypeError with Product with Serializable
17.  trait TyperContextErrors extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ContextErrors to any2stringadd[ContextErrors] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ContextErrors, B)
   Implicit
     This member is added by an implicit conversion from ContextErrors to ArrowAssoc[ContextErrors] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def MacroCantExpand210xMacrosError(internalMessage: String): Nothing
7.  def MacroCantExpandIncompatibleMacrosError(internalMessage: String): Nothing
8.  def NoImplicitFoundError(tree: Global.Tree, param: Global.Symbol)(implicit context: Analyzer.Context): Unit
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def ensuring(cond: (ContextErrors) ⇒ Boolean, msg: ⇒ Any): ContextErrors
    Implicit
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (ContextErrors) ⇒ Boolean): ContextErrors
    Implicit
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): ContextErrors
    Implicit
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): ContextErrors
    Implicit
      This member is added by an implicit conversion from ContextErrors to Ensuring[ContextErrors] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ContextErrors to StringFormat[ContextErrors] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def notAnyRefMessage(found: Global.Type): String
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  def →[B](y: B): (ContextErrors, B)
    Implicit
      This member is added by an implicit conversion from ContextErrors to ArrowAssoc[ContextErrors] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
32.  object ErrorUtils
33.  object NamesDefaultsErrorsGen

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ContextErrors to any2stringadd[ContextErrors]

### Inherited by implicit conversion StringFormat from ContextErrors to StringFormat[ContextErrors]

### Inherited by implicit conversion Ensuring from ContextErrors to Ensuring[ContextErrors]

### Inherited by implicit conversion ArrowAssoc from ContextErrors to ArrowAssoc[ContextErrors]

### Ungrouped